## org.apache.catalina.ha.util
Interface IDynamicProperty

All Known Implementing Classes:
  SimpleTcpCluster

    public interface IDynamicProperty

Version:
  $Revision: 586738 $, $Date: 2007-10-20 16:57:18 +0200 (Sat, 20 Oct 2007) $
Author:
  Peter Rossbach

Method Summary
`java.lang.Object` `getProperty(java.lang.String key)` get current config
`java.util.Iterator` `getPropertyNames()` Get all properties keys
`void` `removeProperty(java.lang.String key)` remove a configured property.
`boolean` `setProperty(java.lang.String name, java.lang.Object value)` set config attributes with reflect

Method Detail

### setProperty

    boolean setProperty(java.lang.String name,
                        java.lang.Object value)

  set config attributes with reflect

  Parameters:
    `name` -
    `value` -

### getProperty

    java.lang.Object getProperty(java.lang.String key)

  get current config

  Parameters:
    `key` -
  Returns:
    The property

### getPropertyNames

    java.util.Iterator getPropertyNames()

  Get all properties keys

  Returns:
    An iterator over the property names

### removeProperty

    void removeProperty(java.lang.String key)

  remove a configured property.

  Parameters:
    `key` -

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.